package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 商品规则值(规格)对象 fs_store_product_rule
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreProductRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 规格名称 */
    @Excel(name = "规格名称")
    private String ruleName;

    /** 规格值 */
    @Excel(name = "规格值")
    private String ruleValue;

    /** $column.columnComment */
    @Excel(name = "规格值")
    private Integer isDel;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setRuleName(String ruleName) 
    {
        this.ruleName = ruleName;
    }

    public String getRuleName() 
    {
        return ruleName;
    }
    public void setRuleValue(String ruleValue)
    {
        this.ruleValue = ruleValue;
    }

    public String getRuleValue()
    {
        return ruleValue;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ruleName", getRuleName())
            .append("ruleValue", getRuleValue())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
